using System.Diagnostics; // Stopwatch

WriteLine("Oczekiwanie na zakończenie zadań.");
Stopwatch watch = Stopwatch.StartNew();
Task a = Task.Factory.StartNew(MethodA);
Task b = Task.Factory.StartNew(MethodB);

Task.WaitAll(new Task[] { a, b });
WriteLine();
WriteLine($"Wynik: {SharedObjects.Message}.");
WriteLine($"Czas działania: {watch.ElapsedMilliseconds:N0} ms.");

WriteLine($"Liczba modyfikacji ciągu znaków:{SharedObjects.Counter}.");